Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 21-08-2007 21:47:53

Franck81
Membre
Inscription : 27-07-2007

Mauvais réglages de la carte son + impossible de lire certaines vidéos

Salut c'est encore moi... big_smile

Bon cette fois ci les problèmes sont différents.

Pour faire simple, j'ai du son partout sauf sur les vidéos sur internet sur des sites comme YouTube ou Dailymotion. C'est assez génant.
J'ai donc reconfiguré ma carte son, j'ai réussi a enfin avoir du son mais malheureusement toute la configuration s'est perdue au redémarrage suivant...

Je l'ai donc refaite puis j'ai fait alsactl store, mais malheureusement même problème au redémarrage suivant...

Pour les vidéos je ne peux pas toutes les lire, sur certains sites comme celui ci par exemple : http://www.wwe.com/ , et j'ai pourtant mplayer et MediaPlayerConnectivity.

J'ai beau cherché je n'arrive à rien de concret.

Pour info j'ai GNU/Linux Debian Sid, avec Gnome.
J'utilise les hauts-parleurs de mon écran.

Voila, je tiens à préciser que je n'ai ses problèmes que sur Debian, à se demander ce qu'elle a de spécial cette distro... tongue

D'ailleurs j'aimerai aussi savoir quels sont les codecs que je dois installer afin de pouvoir lire tout type de fichier musicaux et vidéos.

Je vous remercie d'avance.

Hors ligne

#2 21-08-2007 22:03:02

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

As-tu lancé alsactl store en root ? J'avais le même problème avant de me rendre compte qu'il fallait lancer la commande en root pour que les paramètres soient effectivement enregistrés !

Pour info je n'ai aucun problème avec YouTube ou DailyMotion en utilisant totem-mozilla avec w32codecs ! smile

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#3 21-08-2007 22:26:27

Franck81
Membre
Inscription : 27-07-2007

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

Oui et même en root je n'obtiens aucun résultat. En fait j'ai même l'impression qu'il ne se passe rien du tout après avoir tapé alsactl store...

Hors ligne

#4 21-08-2007 23:42:58

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

Si la commande n'affiche rien c'est normal, pour moi ça revient directement à l'invite mais ça sauvegarde quand même. Je précise que je suis sous Debian Etch, peut-être un bug de Sid ?

Désolé de ne pas pouvoir t'aider plus hmm

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#5 22-08-2007 10:32:11

Franck81
Membre
Inscription : 27-07-2007

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

Pas grave pas grave... tu m'aides dans la limite de tes moyens et je t'en suis reconnaissant.

Je ne veux presser personne mais je vais avoir besoin d'un PC fonctionnel au plus vite, j'aimerai donc savoir si je peux résoudre ce problème rapidement ou si je dois repasser à Win... Ubuntu ! tongue

Après pour la Sid je ne sais pas... va savoir...

Si vous avez besoin de renseignements précis n'hésitez pas, mais la je ne sais pas quoi vous donner...

Sinon si ce n'est trop vous demander, petite question à part, que faut-t-il concrètement que j'installe pour pouvoir lire tout type de fichier (la musique et les vidéos), donc les codecs, les lecteurs, etc...

Dernière modification par Franck81 (22-08-2007 10:48:08)

Hors ligne

#6 22-08-2007 10:59:05

alex
Membre
Lieu : Trevoux
Distrib. : etch
Noyau : 2.6.25
(G)UI : kde
Inscription : 07-06-2007
Site Web

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

theoriquement, le fait d'installer vlc media player avec peut etre le paquet w32 codesc devrait te permettre de lire n'importe quelle video

Hors ligne

#7 22-08-2007 11:20:28

n3os
Modérateur
Lieu : /Debian/Home/neos
Distrib. : Sid
Noyau : 2.6.35
(G)UI : e17
Inscription : 14-07-2007

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

tu as utilisé alsamixer pour régler ton son puis fini par alsactl store ?
quel version de flash est installé, c'est bien flashplugin-nonfree ?
pour le son tu peux aussi tester avec alsa-oss, tu installes, apt-get install alsa-oss
puis tu édites iceweaselrc en root.

nano /etc/iceweasel/iceweaselrc
puis tu changes, ICEWEASEL_DSP="none" en ICEWEASEL_DSP="aoss"

Hors ligne

#8 23-08-2007 21:08:58

Franck81
Membre
Inscription : 27-07-2007

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

J'ai déjà essayé ta méthode neos mais merci de m'aider. Non franchement je n'y arrive pas et je ne trouve pas de solution sur internet, je pense repasser à Ubuntu et je verrai plus tard pour ce problème, quand je repasserai à Debian...

Merci quand même à tous d'avoir essayé de m'aider, je vous en remercie. Bye... winktongue

Hors ligne

#9 24-08-2007 11:23:20

Melodie
Modérateur
Lieu : Pyrénées
Inscription : 28-05-2007
Site Web

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

Franck81 a écrit :

Merci quand même à tous d'avoir essayé de m'aider, je vous en remercie. Bye... winktongue


Oui, ils ont bien de la patience et ils sont bien gentils, n'est-ce pas ? Pour ma part, je trouve que tu y vas un peu vite en besogne ! Tu veux une machine stable avec la version unstable ? Tu crois que tu es très logique là ? Si tu veux une version stable tu prends stable ! Si tu veux une version un peu récente tu prends testing !

Et si tu veux quelque chose entre les deux, tu peux toujours essayer apt-pinning.

http://www.debian.org/doc/manuals/apt-h … et.fr.html

3.10 Comment garder des versions spécifiques de paquets installés (complexe)

Vous avez sûrement eu l'occasion de modifier quelque chose dans un paquet et vous n'avez pas eu le temps ou l'envie de les transférer dans une nouvelle version du programme. Ou, par exemple, vous venez juste de passer à la distribution 3.0 de Debian, mais vous voulez continuer avec la version 2.2 pour certains paquets. Vous pouvez « étiqueter » la version que vous avez installée de manière à ce qu'elle ne soit pas mise à niveau.

Utiliser cette fonctionnalité est simple. Vous avez seulement besoin de modifier le fichier /etc/apt/preferences.

Le format est simple :

     Package: <package>
     Pin: <pin definition>
     Pin-Priority: <pin's priority>

Toutes les entrées doivent être séparées par une ligne vide. Par exemple, pour garder le paquet sylpheed que j'ai modifié pour utiliser « reply-to-list » dans la version 0.4.99, j'ai ajouté :

     Package: sylpheed
     Pin: version 0.4.99*

Notez que j'utilise un * (astérisque). C'est un « joker » ; cela signifie que je veux que cette « étiquette » soit valable pour toutes les versions commençant par 0.4.99. C'est parce que Debian donne un numéro de révision à ses paquets et je ne veux pas éviter l'installation de ces révisions. Et, par exemple, les versions 0.4.99-1 et 0.4.99-10 seront installées dès qu'elles seront disponibles. Notez que si vous avez modifié le paquet, vous ne voudrez pas procéder ainsi.

La priorité de l'étiquettage aide à déterminer si un paquet correspondant aux lignes « Packages: » et « Pin: » sera installé, plus la priorité d'un paquet est grande, plus il est probable que le paquet correspondant sera installé. Si vous souhaitez plus de détails, vous pouvez lire apt_preferences(7), mais quelques exemples devraient vous donner quelques idées de base. Les exemples suivant décrivent les effets du positionnement du champ de priorité à différentes valeurs dans l'exemple sur sylpheed ci-dessus.

1001
    La version 0.4.99 de sylpheed ne sera jamais remplacée par apt. Si elle est disponible, apt installera la version 0.4.99 même s'il doit remplacer un paquet avec une version supérieure. Seuls les paquets avec une priorité supérieure à 1000 peuvent remplacer un paquet existant par une version inférieure.

1000
    L'effet est le même qu'avec une priorité de 1001, à l'exception qu'apt refusera d'installer la version 0.4.99 si une autre version est installée.

990
    La version 0.4.99 sera remplacée seulement si une version supérieure est disponible dans la version de la distribution « préférée » en utilisant la variable APT::Default-Release (voir Comment garder un système mixte ?, Section 3.8 ci-dessus).

500
    Toute version supérieure à 0.4.99 disponible dans n'importe quelle version de la distribution sera préférée à la version 0.4.99, mais la version 0.4.99 sera toujours préférée à une version moins élevée.

100
    Toute version de sylpheed disponible dans n'importe quelle version de la distribution sera préférée à la version 0.4.99, comme toute version supérieure de sylpheed installée ; la version 0.4.99 sera donc installée seulement si aucune version n'est déjà installée. C'est la priorité des paquets installés.

-1
    Les priorités négatives sont aussi permises et empêchent la version 0.4.99 d'être installée.

Une étiquette peut être spécifiée sur la version, la distribution ou l'origine d'un paquet.

Pour étiqueter une version, nous avons vu qu'on pouvait utiliser les numéros de version de manière littérale aussi bien que les jokers pour spécifier plusieurs versions en une fois.

L'option release dépend du fichier Release d'un référentiel d'apt ou d'un cédérom. Cette option peut être sans intérêt si vous utilisez des référentiels de paquets qui ne contiennent pas ce fichier. Vous pouvez voir le contenu de ce fichier Release dans /var/lib/apt/lists. Les paramètres de la distribution sont : a (archive), c (composants), v (version), o (origine) et l (label).

Un exemple :

     Package: *
     Pin: release v=2.2*,a=stable,c=main,o=Debian,l=Debian
     Pin-Priority: 1001

Dans cet exemple, nous avons choisi les versions Debian 2.2* (qui peuvent être 2.2r2, 2.2r3 — cela satisfait les distributions qui incluent les correctifs de sécurité et d'autres mises à jour très importantes), le référentiel stable, la section main (opposée à contrib ou non-free) et l'origine et le label Debian. L'origine (o=) définit qui a produit ce fichier Release, le label (l=) définit le nom de la distribution : Debian pour Debian elle-même et Progeny pour Progeny, par exemple. Un simple fichier Release :

     $ cat /var/lib/apt/lists/ftp.debian.org.br_debian_dists_potato_main_binary-i386_Release
     Archive: stable
     Version: 2.2r3
     Component: main
     Origin: Debian
     Label: Debian
     Architecture: i386


Ou quelque chose comme ça :
http://www.debian.org/doc/manuals/apt-h … et.fr.html

3.8 Comment garder un système mixte ?

L'utilisation d'une des versions de Debian en tant que distribution principale et un ou plusieurs paquets d'une autre branche peut être parfois intéressante pour certains utilisateurs.

Pour définir votre version principale de Debian, vous devriez modifier le fichier /etc/apt/apt.conf afin qu'il contienne la ligne suivante :

     APT::Default-Release "version";

Où, version est la version de Debian que vous souhaitez utiliser comme distribution principale. Les versions que vous pouvez utiliser sont stablen testing et unstable. Pour installer des paquets d'une autre version, vous devez utiliser APT de la manière suivante :

     # apt-get -t distribution install paquet

Pour que cela fonctionne, il est nécessaire que vous ayez au moins une source APT de la distribution que vous voulez utiliser dans votre /etc/apt/sources.list, les paquets doivent exister dans cette source.

Vous pouvez aussi demander une version spécifique d'un paquet en utilisant la syntaxe suivante :

     # apt-get install paquet= version

Par exemple, la ligne ci-dessous installera la version 2.2.4-1 du paquet nautilus :

     # apt-get install nautilus=2.2.4-1

IMPORTANT : la distribution « unstable » de Debian est la version où les nouvelles versions des paquets Debian sont d'abord déposées. Cette distribution voit tous les changements des paquets, petits et plus importants qui affectent beaucoup de paquets ou tout le système. Pour cette raison, cette version ne devrait pas être utilisée par des utilisateurs non expérimentés ni par ceux qui ont besoin de stabilité.

La distribution « testing » n'est pas nécessairement meilleure que « unstable » car elle ne reçoit pas rapidement les mises à jour de sécurité. Pour un serveur ou un système en production, préférez toujours la distribution stable.


Évidemment Debian est une distribution faite pour apprendre... Et Ubuntu est une distribution faite pour utiliser. Ça change tout.  wink


le blog d'une newbie :: Linuxvillage :: Bentovillage


À propos de l'OS dominant ::> “Il est plus facile de berner les gens que de leur faire admettre qu'ils ont été bernés” (trad d'une citation approximative de Mark Twain)

Hors ligne

#10 24-08-2007 22:53:38

Franck81
Membre
Inscription : 27-07-2007

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

Salut,

Le problème que j'avais avec la version Stable, c'était l'installation des pilotes graphiques...
Je m'explique, une fois installés, je configure xorg.conf pour changer "vesa" par "nvidia", et là, impossible de démarrer X... du coup j'ai remis "vesa" et tout c'est remis à fonctionner correctement, mais sans l'accèlération graphique bien sûr...
J'ai eu ce problème en étant sous Etch et en utilisant les dépôts de la version Etch la première fois, et Sid la deuxième...
Pour info les dépôts de la version Testing ne contiennent pas tout ce qu'il me faut pour installer les pilotes.

J'aime Debian et je préfère cette distribution à Ubuntu mais maintenant je vais avoir besoin d'utiliser au quotidien un PC stable et sans problème, donc ce n'est pas que je n'ai pas envie, c'est surtout que je n'ai pas le temps... Plus tard, une fois que je l'aurai, je repasserai à Debian une bonne fois pour toute et je résoudrai ces problèmes (tout seul vous inquiètez pas tongue )

Voila voila....

Hors ligne

#11 24-08-2007 23:25:20

Melodie
Modérateur
Lieu : Pyrénées
Inscription : 28-05-2007
Site Web

Re : Mauvais réglages de la carte son + impossible de lire certaines vidéos

Franck81 a écrit :

J'aime Debian et je préfère cette distribution à Ubuntu mais maintenant je vais avoir besoin d'utiliser au quotidien un PC stable et sans problème, donc ce n'est pas que je n'ai pas envie, c'est surtout que je n'ai pas le temps... Plus tard, une fois que je l'aurai, je repasserai à Debian une bonne fois pour toute et je résoudrai ces problèmes (tout seul vous inquiètez pas tongue )

Voila voila....


Salut,
Je ne suis pas inquiète, j'ai voulu te répondre en détail surtout à cause de cette réflexion que tu as eue :

Voila, je tiens à préciser que je n'ai ses problèmes que sur Debian, à se demander ce qu'elle a de spécial cette distro... tongue


Je tourne aussi sur plusieurs distributions. On a le choix, ça ne coûte qu'un peu (beaucoup) de temps pour s'y faire, aussi si on peut prendre ce temps pourquoi se priver ?  smile


le blog d'une newbie :: Linuxvillage :: Bentovillage


À propos de l'OS dominant ::> “Il est plus facile de berner les gens que de leur faire admettre qu'ils ont été bernés” (trad d'une citation approximative de Mark Twain)

Hors ligne

Pied de page des forums